[usocket-cvs] r77 - in usocket/trunk: . test

ehuelsmann at common-lisp.net ehuelsmann at common-lisp.net
Sat Feb 11 22:57:04 UTC 2006


Author: ehuelsmann
Date: Sat Feb 11 16:57:04 2006
New Revision: 77

Added:
   usocket/trunk/test/abcl.conf.in
   usocket/trunk/test/allegro.conf.in
   usocket/trunk/test/clisp.conf.in
   usocket/trunk/test/cmucl.conf.in
   usocket/trunk/test/sbcl.conf.in
   usocket/trunk/test/your-lisp.conf.in
Modified:
   usocket/trunk/run-usocket-tests.sh
   usocket/trunk/test/   (props changed)
Log:
Change test script to take arguments from .conf files and add those.

Modified: usocket/trunk/run-usocket-tests.sh
==============================================================================
--- usocket/trunk/run-usocket-tests.sh	(original)
+++ usocket/trunk/run-usocket-tests.sh	Sat Feb 11 16:57:04 2006
@@ -9,21 +9,31 @@
 # I have installed: cmucl, ABCL, clisp, allegro and lispworks
 
 cd `dirname $0`/test
+rm tests.log
 
 if test -z "$1" ; then
-  lisps="sbcl clisp $HOME/src/acl/acl70_trial/alisp"
+  lisps=*.conf
 else
   lisps=$1
 fi
 
-for my_lisp in $lisps ; do
+for my_lisp_conf in $lisps ; do
 
-# *.fasl are used by both sbcl and allegro,
-# so remove them to prevent choking either
 
 args=
-if test "`basename $my_lisp`" == "alisp" ; then
-  args=-batch
+lisp_bin=
+lisp_name=
+lisp_exit="(quit result)"
+
+. $my_lisp_conf
+
+if test -z "$lisp_bin" ; then
+  echo "YOU NEED TO SET A LISP BINARY IN YOUR CONF FILE"
+  exit 1
+fi
+
+if test -z "$lisp_name" ; then
+  lisp_name="`basename \"$lisp_bin\"`"
 fi
 
 echo "
@@ -32,11 +42,16 @@
 (asdf:operate #-sbcl 'asdf:load-source-op
               #+sbcl 'asdf:load-op :usocket-test)
 
-(usocket-test:do-tests)
+(let ((result (if (usocket-test:do-tests) 1 0)))
+  $lisp_exit)
+" | $lisp_bin $args
 
-#-allegro (quit)
-" | $my_lisp $args
+if test $? -eq 1 ; then
+  echo "PASS: $lisp_name" >> tests.log
+else
+  echo "FAIL: $lisp_name" >> tests.log
+fi
 
-echo "Above test results for $my_lisp."
+echo "Above the test results gathered for $lisp_name."
 
 done

Added: usocket/trunk/test/abcl.conf.in
==============================================================================
--- (empty file)
+++ usocket/trunk/test/abcl.conf.in	Sat Feb 11 16:57:04 2006
@@ -0,0 +1,10 @@
+# lisp binary test setup file
+
+args=
+
+# lisp_bin is required!
+lisp_bin=~/src/abcl-0.0.9/abcl
+lisp_name=ArmedBear
+
+# lisp_exit is required!
+lisp_exit="(quit :status result)"

Added: usocket/trunk/test/allegro.conf.in
==============================================================================
--- (empty file)
+++ usocket/trunk/test/allegro.conf.in	Sat Feb 11 16:57:04 2006
@@ -0,0 +1,10 @@
+# lisp binary test setup file
+
+args="-batch"
+
+# lisp_bin is required!
+lisp_bin="~/src/acl/acl70_trial/alisp"
+lisp_name=Allegro
+
+# lisp_exit is required!
+lisp_exit="(exit result :no-unwind t)"

Added: usocket/trunk/test/clisp.conf.in
==============================================================================
--- (empty file)
+++ usocket/trunk/test/clisp.conf.in	Sat Feb 11 16:57:04 2006
@@ -0,0 +1,10 @@
+# lisp binary test setup file
+
+args=
+
+# lisp_bin is required!
+lisp_bin=clisp
+lisp_name=clisp
+
+# lisp_exit is required!
+lisp_exit="(quit result)"

Added: usocket/trunk/test/cmucl.conf.in
==============================================================================
--- (empty file)
+++ usocket/trunk/test/cmucl.conf.in	Sat Feb 11 16:57:04 2006
@@ -0,0 +1,10 @@
+# lisp binary test setup file
+
+args=
+
+# lisp_bin is required!
+lisp_bin="~/src/bin/lisp"
+lisp_name=CMUCL
+
+# lisp_exit is required!
+lisp_exit="(unix:unix-exit result)"

Added: usocket/trunk/test/sbcl.conf.in
==============================================================================
--- (empty file)
+++ usocket/trunk/test/sbcl.conf.in	Sat Feb 11 16:57:04 2006
@@ -0,0 +1,10 @@
+# lisp binary test setup file
+
+args=
+
+# lisp_bin is required!
+lisp_bin=sbcl
+lisp_name=SBCL
+
+# lisp_exit is required!
+lisp_exit="(quit status :recklessly-p t)"

Added: usocket/trunk/test/your-lisp.conf.in
==============================================================================
--- (empty file)
+++ usocket/trunk/test/your-lisp.conf.in	Sat Feb 11 16:57:04 2006
@@ -0,0 +1,10 @@
+# lisp binary test setup file
+
+args=
+
+# lisp_bin is required!
+lisp_bin=<path-to-your-lisp-binary-here>
+lisp_name=
+
+# lisp_exit is required!
+lisp_exit=



More information about the usocket-cvs mailing list